Skip to content

GET /api/debug/tasks/

Diagnostic snapshot of the current RTOS tasks and their stack watermarks.

Auth: Bearer token with powerUser access, or implicit powerUser access in diagnostic mode.


{
"tasks": [
{
"number": 1,
"name": "Gate",
"priority": 5,
"stackMinFreeByte": 780,
"stackSizeByte": 1024
},
{
"number": 2,
"name": "Logic",
"priority": 4,
"stackMinFreeByte": 1248,
"stackSizeByte": 1600
}
]
}
FieldTypeDescription
tasksarrayTask list
tasks[].numbernumberRTOS xTaskNumber
tasks[].namestringTask name
tasks[].prioritynumberRTOS priority
tasks[].stackMinFreeBytenumberAll-time minimum free stack space, in bytes
tasks[].stackSizeBytenumberTotal stack size, in bytes

If memory allocation fails → 507 ERROR_NO_MEMORY.